/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:43pm
Filepath: scripts\Items\Artifacts\champion spawns\Tempo.cs
Lines of code: 46

Description: 

***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class Tempo : ElvenCompositeLongbow
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		
		[Constructable]
		public Tempo()
		{	
			Name = "Tempo";
			Hue = 2406;
			WeaponAttributes.SelfRepair = 3;
			Attributes.WeaponDamage = 60;
			Attributes.WeaponSpeed = 50;
			Attributes.LowerAmmoCost=20;
			WeaponAttributes.Velocity = 100;
		}

		public Tempo( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 1 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
			
			if (version==0)
			{
				WeaponAttributes.UseBestSkill=0;
				WeaponAttributes.SelfRepair=0;
				
				Hue = 2406;
				WeaponAttributes.SelfRepair = 3;
				Attributes.WeaponDamage = 60;
				Attributes.LowerAmmoCost=20;
				WeaponAttributes.Velocity = 100;
				Attributes.WeaponSpeed = 50;
			}
		}
	}
}